.seed-snackbar__root {
    box-sizing: border-box;
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 560px;
    background: var(--seed-color-bg-neutral-inverted);
    border-radius: var(--seed-radius-r2);
    padding-left: var(--seed-dimension-x2_5);
    padding-right: var(--seed-dimension-x2_5);
    padding-top: var(--seed-dimension-x2_5);
    padding-bottom: var(--seed-dimension-x2_5);
    min-height: 44px;
    animation: seed-enter;
    animation-timing-function: var(--seed-timing-function-enter);
    animation-duration: var(--seed-duration-d3);
    --seed-enter-translate-x: 0;
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: 0;
    --seed-enter-scale: 0.8;
}
.seed-snackbar__root:not([data-open]) {
    animation: seed-exit;
    animation-timing-function: var(--seed-timing-function-exit);
    animation-duration: var(--seed-duration-d2);
    animation-fill-mode: forwards;
    --seed-exit-translate-x: 0;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 0.8;
}
.seed-snackbar__root {
    transition: outline-color var(--seed-duration-d3) var(--seed-timing-function-easing);
    outline: var(--seed-dimension-x0_5) solid transparent;
    outline-offset: var(--seed-dimension-x0_5);
}
.seed-snackbar__root:is(:focus-visible, [data-focus-visible]) {
    outline: var(--seed-dimension-x0_5) solid var(--seed-color-stroke-focus-ring);
    outline-offset: var(--seed-dimension-x0_5);
}
.seed-snackbar__content {
    display: flex;
    flex-grow: 1;
    justify-content: space-between;
    align-items: center;
    padding-left: var(--seed-dimension-x1_5);
    padding-right: var(--seed-dimension-x1_5);
    gap: var(--seed-dimension-x2_5);
}
.seed-snackbar__message {
    margin: 0;
    color: var(--seed-color-fg-neutral-inverted);
    font-size: var(--seed-font-size-t4);
    line-height: var(--seed-line-height-t4);
    font-weight: var(--seed-font-weight-regular);
}
.seed-snackbar__prefixIcon {
    flex-shrink: 0;
    width: 24px;
    height: 24px;
    padding-right: var(--seed-dimension-x0_5);
}
.seed-snackbar__actionButton {
    position: relative;
    display: inline-flex;
    box-sizing: border-box;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    border: none;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background-color: unset;
    text-decoration: none;
    flex-shrink: 0;
    color: var(--seed-color-fg-brand);
    font-size: var(--seed-font-size-t4);
    line-height: var(--seed-line-height-t4);
    font-weight: var(--seed-font-weight-bold);
}
.seed-snackbar__actionButton:after {
    content: '';
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: calc(-1 * var(--seed-dimension-x2));
    right: calc(-1 * var(--seed-dimension-x2));
    min-height: 44px;
    background: transparent;
    outline: var(--seed-dimension-x0_5) solid transparent;
    outline-offset: calc(var(--seed-dimension-x0_5) * -1);
    transition: outline-color var(--seed-duration-d3) var(--seed-timing-function-easing);
}
.seed-snackbar__actionButton:is(:focus, [data-focus]) {
    outline: none;
}
.seed-snackbar__actionButton:is(:focus-visible, [data-focus-visible]):after {
    border-radius: var(--seed-radius-r1);
    outline: var(--seed-dimension-x0_5) solid var(--seed-color-stroke-focus-ring);
    outline-offset: calc(var(--seed-dimension-x0_5) * -1);
}
.seed-snackbar__prefixIcon--variant_default {
    display: none;
}
.seed-snackbar__prefixIcon--variant_positive {
    color: var(--seed-color-fg-positive);
}
.seed-snackbar__prefixIcon--variant_critical {
    color: var(--seed-color-fg-critical);
}.seed-snackbar-region {
    z-index: 2147483647;
    display: flex;
    flex-direction: column;
    align-items: center;
    left: calc(env(safe-area-inset-left, 0px));
    right: calc(env(safe-area-inset-right, 0px));
    bottom: calc(env(safe-area-inset-bottom, 0px) + var(--snackbar-region-offset, 0px));
    padding-left: var(--seed-dimension-x2);
    padding-right: var(--seed-dimension-x2);
    padding-top: var(--seed-dimension-x2);
    padding-bottom: var(--seed-dimension-x2);
    transition-property: bottom;
    transition-duration: var(--seed-duration-d4);
    transition-timing-function: var(--seed-timing-function-easing)
}